# ChangeLog for sci-biology/foldingathome
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sci-biology/foldingathome/ChangeLog,v 1.36 2012/09/24 00:47:31 vapier Exp $

  24 Sep 2012; Mike Frysinger <vapier@gentoo.org> foldingathome-6.34-r1.ebuild,
  foldingathome-6.34-r2.ebuild:
  QA_DT_HASH (old/deprecated) -> QA_FLAGS_IGNORED (new hotness).

  14 Feb 2012; Torsten Veller <tove@gentoo.org> foldingathome-6.34-r2.ebuild:
  Fix ebuild header (#398773)

*foldingathome-6.34-r2 (20 Sep 2011)

  20 Sep 2011; Jeff Gardner <je_fro@gentoo.org> files/6.34/fah-init,
  +foldingathome-6.34-r2.ebuild:
  Change opts to extra_commands in init script.

*foldingathome-6.34-r1 (28 Jun 2011)

  28 Jun 2011; Jeff Gardner <je_fro@gentoo.org> files/6.34/fah-init,
  -foldingathome-6.34.ebuild, +foldingathome-6.34-r1.ebuild:
  Change init script to use 'user' instead of 'chuid' for new openrc.

  15 Jun 2011; Jeff Gardner <je_fro@gentoo.org>
  -files/copy_client_config-5.0.2-r1, -files/init-5.0.2-r3,
  -files/init-5.0.2-r5, -foldingathome-5.0.2-r5.ebuild,
  -foldingathome-6.02-r1.ebuild, -foldingathome-6.29.ebuild,
  -files/folding-conf.d-r1, -files/initfolding-r2:
  Remove broken old versions.

*foldingathome-6.34 (15 Jun 2011)

  15 Jun 2011; Jeff Gardner <je_fro@gentoo.org> +files/6.34/fah-init,
  +files/6.34/folding-conf.d, +files/6.34/initfolding,
  +foldingathome-6.34.ebuild:
  New version, fixes issues that prevented running FAH on newer GNU/Linux
  systems.

  24 Jun 2010; Justin Lecher <jlec@gentoo.org>
  -foldingathome-5.0.2-r3.ebuild:
  Cleaned uneeded version

  22 Jun 2010; Justin Lecher <jlec@gentoo.org> foldingathome-6.29.ebuild:
  Dropping ~x86 as upstream only provides 64bit for this version, 324611


*foldingathome-6.29 (17 Jun 2010)

  17 Jun 2010; Justin Lecher <jlec@gentoo.org> +files/6.29/fah-init,
  +files/6.29/folding-conf.d, +files/6.29/initfolding,
  +foldingathome-6.29.ebuild:
  Version Bump, 270458, fixes for prestripped files. #252033

  30 Nov 2008; Jeff Gardner <je_fro@gentoo.org> files/6.02/folding-conf.d:
  Removing smp from default opts to hopefully fix bug #248896
  Thanks to Vladimir Berezhnoy.

  22 Nov 2008; Jeff Gardner <je_fro@gentoo.org>
  foldingathome-6.02-r1.ebuild:
  Add shameless plug for my folding group.

*foldingathome-6.02-r1 (22 Nov 2008)

  22 Nov 2008; Jeff Gardner <je_fro@gentoo.org> -foldingathome-6.02.ebuild,
  +foldingathome-6.02-r1.ebuild:
  Bumping for init script fix and add back ~x86.

  22 Nov 2008; Jeff Gardner <je_fro@gentoo.org> files/6.02/fah-init:
  Changing to use init script from Constantin Baranov on bug #218331

  03 Aug 2008; Jeff Gardner <je_fro@gentoo.org> -files/6.02_beta1/fah-init,
  -files/6.02_beta1/folding-conf.d, -files/6.02_beta1/initfolding,
  -foldingathome-6.02_beta1.ebuild:
  remove dead beta

*foldingathome-6.02 (03 Aug 2008)

  03 Aug 2008; Jeff Gardner <je_fro@gentoo.org> +files/6.02/fah-init,
  +files/6.02/folding-conf.d, +files/6.02/initfolding,
  +foldingathome-6.02.ebuild:
  Latest version, thanks to Nicolas Schlumberger, closes bug #233751

  15 Jun 2008; Jeff Gardner <je_fro@gentoo.org>
  files/6.02_beta1/folding-conf.d:
  Add smp option thanks to Timon Van Overveldt in bug #194423

*foldingathome-6.02_beta1 (14 Jun 2008)

  14 Jun 2008; Jeff Gardner <je_fro@gentoo.org> -files/5.91_beta/fah-init,
  -files/5.91_beta/initfolding, -files/5.91_beta/folding-conf.d,
  +files/6.02_beta1/fah-init, +files/6.02_beta1/folding-conf.d,
  +files/6.02_beta1/initfolding, -foldingathome-5.91_beta.ebuild,
  +foldingathome-6.02_beta1.ebuild:
  Latest beta client

  12 Jul 2007; Christoph Mende <angelos@gentoo.org>
  foldingathome-5.0.2-r5.ebuild:
  Stable on amd64 wrt bug #164823

  12 Jul 2007; Christian Faulhammer <opfer@gentoo.org>
  foldingathome-5.0.2-r5.ebuild:
  stable x86, bug 164823

  03 Jul 2007; Jeff Gardner <je_fro@gentoo.org>
  foldingathome-5.91_beta.ebuild:
  foldingathome-5.91_beta has expired. Removing KEYWORDS until the next
  release arrives.

  02 Jul 2007; Piotr Jaroszyński <peper@gentoo.org>
  foldingathome-5.0.2-r3.ebuild, foldingathome-5.0.2-r5.ebuild:
  (QA) RESTRICT clean up.

  21 Apr 2007; Jeff Gardner <je_fro@gentoo.org>
  foldingathome-5.0.2-r3.ebuild, foldingathome-5.0.2-r5.ebuild:
  Use newconfd wrt bug #174266

  11 Apr 2007; Jeff Gardner <je_fro@gentoo.org>
  foldingathome-5.91_beta.ebuild:
  Fixed to better install files under /etc.

*foldingathome-5.91_beta (10 Apr 2007)

  10 Apr 2007; Jeff Gardner <je_fro@gentoo.org> +files/5.91_beta/fah-init,
  +files/5.91_beta/folding-conf.d, +files/5.91_beta/initfolding,
  +foldingathome-5.91_beta.ebuild:
  Adding the amd64-smp client for testing. Thanks to John Gibson.

  03 Nov 2006; Olivier Fisette <ribosome@gentoo.org> -files/init-5.0.2-r4,
  -foldingathome-5.0.2-r4.ebuild:
  Pruned old version.

*foldingathome-5.0.2-r5 (16 Jun 2006)

  16 Jun 2006; Patrick Kursawe <phosphan@gentoo.org> +files/init-5.0.2-r5,
  +foldingathome-5.0.2-r5.ebuild:
  Adding --chdir to start-stop-daemon because of bug #109707

*foldingathome-5.0.2-r4 (14 Aug 2005)

  14 Aug 2005; Olivier Fisette <ribosome@gentoo.org> +files/init-5.0.2-r4,
  +foldingathome-5.0.2-r4.ebuild:
  Fixed bug #95697: license is now correct and the binaries are no longer
  stripped since we are not allowed to modify them. Thanks to Ian Kelly
  <kellyia@udel.edu>. Fixed bugs #90247 and #93047: Foldingathome init script
  now uses start-stop-daemon. Thanks to James Lademann
  <jwlademann@myrealbox.com>.

  22 Apr 2005; Danny van Dyk <kugelfang@gentoo.org>
  foldingathome-5.0.2-r3.ebuild:
  Marked stable on amd64.

  03 Mar 2005; Brandon Low <lostlogic@gentoo.org> -files/folding-conf.d,
  -files/folding-init.d, -files/folding-init.d-r1, -files/folding-init.d-r3,
  -files/folding.sh, files/init-5.0.2-r3, -files/initfolding,
  -files/initfolding-r1, -foldingathome-4.0.0-r2.ebuild,
  -foldingathome-4.0.0.ebuild:
  Fix bug 82345, nice 20 doesn't exist.
  Remove old ebuilds and files.

  08 Feb 2005; Brandon Low <lostlogic@gentoo.org>
  foldingathome-5.0.2-r3.ebuild:
  Mark stable on x86

  05 Feb 2005; Brandon Low <lostlogic@gentoo.org> -files/copy_client_config,
  -files/folding-init.d-r2, -files/folding-init.d-r4, -files/init-5.0.2-r1,
  -files/init-5.0.2-r2, -foldingathome-5.0.2-r1.ebuild,
  -foldingathome-5.0.2-r2.ebuild, -foldingathome-5.0.2.ebuild:
  Clean up some cruft

*foldingathome-5.0.2-r3 (05 Feb 2005)

  05 Feb 2005; Brandon Low <lostlogic@gentoo.org> +files/init-5.0.2-r3,
  +foldingathome-5.0.2-r3.ebuild:
  Fix bug #80778

*foldingathome-5.0.2-r2 (04 Feb 2005)

  04 Feb 2005; Brandon Low <lostlogic@gentoo.org> +files/init-5.0.2-r2,
  +foldingathome-5.0.2-r2.ebuild:
  Fix bug #79574. Add unitinfo target to initscript to get the status of each
  core on the system. Thanks to Yosef Meller <yosefm@gmail.com> for the idea
  and initial patch

*foldingathome-5.0.2-r1 (03 Feb 2005)

  03 Feb 2005; Brandon Low <lostlogic@gentoo.org>
  +files/copy_client_config-5.0.2-r1, +files/init-5.0.2-r1,
  +foldingathome-5.0.2-r1.ebuild:
  Fix bug 71700 hopefully. Use bash not python for copy_client_config. Update
  the init script to do more sane things and not fail to stop on multi-cpu
  systems.

*foldingathome-4.0.0-r2 (23 Dec 2004)

  23 Dec 2004; Olivier Fisette <ribosome@gentoo.org> +metadata.xml,
  +files/copy_client_config, +files/folding-conf.d, +files/folding-conf.d-r1,
  +files/folding-init.d, +files/folding-init.d-r1, +files/folding-init.d-r2,
  +files/folding-init.d-r3, +files/folding-init.d-r4, +files/folding.sh,
  +files/initfolding, +files/initfolding-r1, +files/initfolding-r2,
  +foldingathome-4.0.0-r2.ebuild, +foldingathome-4.0.0.ebuild,
  +foldingathome-5.0.2.ebuild:
  Moved from app-sci/foldingathome to sci-biology/foldingathome.

  13 Dec 2004; Patrick Kursawe <phosphan@gentoo.org>
  -foldingathome-4.0.0-r1.ebuild:
  Cleanup

*foldingathome-5.0.2 (09 Nov 2004)

  09 Nov 2004; Steve Arnold <nerdboy@gentoo.org> +files/copy_client_config,
  +files/folding-conf.d-r1, +files/folding-init.d-r4, +files/initfolding-r2,
  +foldingathome-5.0.2.ebuild:
  bumped to current version (bug 60318) with ebuild from Gregory P. Smith
  <greg-gentoo@electricrain.com>.  Gentoo team config.

  12 Jun 2004; Danny van Dyk <kugelfang@gentoo.org>
  foldingathome-4.0.0-r2.ebuild:
  Marked ~amd64.

*foldingathome-4.0.0-r2 (07 Jun 2004)

  07 Jun 2004; Patrick Kursawe <phosphan@gentoo.org>
  foldingathome-3.24-r1.ebuild, foldingathome-3.24.ebuild,
  foldingathome-4.0.0-r2.ebuild, files/folding-init.d-r3:
  No longer redirecting output to a redundand log file, see bug #51489
  Cleanup, removing 3.x versions.

  23 Apr 2004; David Holm <dholm@gentoo.org> foldingathome-4.0.0-r1.ebuild:
  Added to ~ppc.

*foldingathome-4.0.0-r1 (22 Apr 2004)

  22 Apr 2004; Patrick Kursawe <phosphan@gentoo.org>
  foldingathome-4.0.0-r1.ebuild, files/folding-conf.d,
  files/folding-init.d-r2, files/initfolding-r1:
  Added support to run multiple clients for those with multiprocessors
  and the ability to pass options to the Folding clients.
  Based on bug #47526 (by Mike Caley <mjcaley@darkarctic.com>)

  26 Mar 2004; Patrick Kursawe <phosphan@gentoo.org>
  foldingathome-3.14.ebuild, foldingathome-3.24-r1.ebuild,
  foldingathome-3.24.ebuild, foldingathome-4.0.0.ebuild:
  Setting IUSE, removing S= where not necessary, declaring 4.0.0 stable for x86

  09 Mar 2004; Daniel Ahlberg <aliz@gentoo.org> foldingathome-4.0.0.ebuild:
  Adding amd64 keyword. Closing #43779.

*foldingathome-4.0.0 (03 Mar 2004)

  03 Mar 2004; Patrick Kursawe <phosphan@gentoo.org>
  foldingathome-4.0.0.ebuild:
  Version bump inspired by bug #34859

*foldingathome-3.24-r1 (01 Mar 2004)

  01 Mar 2004; Patrick Kursawe <phosphan@gentoo.org>
  foldingathome-3.24-r1.ebuild, files/folding-init.d-r1, files/folding.sh,
  files/initfolding:
  Running as seperate user now.

  05 May 2003; Daniel Ahlberg <aliz@gentoo.org> files/folding-init.d :
  Fixed stop() in init script. Fix by 
  Roderick van Domburg <r.s.a.vandomburg@student.utwente.nl> in #20327.

  23 Apr 2003; Daniel Ahlberg <aliz@gentoo.org> foldingathome-3.2.4.ebuild, files/folding-init.d :
  Now has the version number in SRC_URI and also uses the newer client if we're running >=glibc-2.3.0. 
  Also updated init script. Closes #19709 and #17715.

*foldingathome-3.24 (27 Feb 2003)

  27 Feb 2003; Daniel Ahlberg <aliz@gentoo.org> foldingathome-3.24.ebuild :
  Version bump.

  27 Feb 2003; Daniel Ahlberg <aliz@gentoo.org> files/folding-init.d :
  Start the daemon with nice, closes #12950.
  
*foldingathome-3.14 (04 Nov 2002)

  04 Nov 2002; Daniel Ahlberg <aliz@gentoo.org> :
  Initial import. Ebuild contributed by Ryan Shaw <ryan.shaw@stanfordalumni.org> in #9535.
